import React, {useState} from 'react';

import {
  Image,
  Text,
  StyleSheet,
  TouchableOpacity,
  SafeAreaView,
} from 'react-native';
import LinearGradient from 'react-native-linear-gradient';

import Icon from './Smile-Coin-Logo.png';

const SmileSendButton = ({ callback }) => {
  const styles = StyleSheet.create({
    linearGradient: {
      paddingBottom: 6,
      paddingTop: 6,
      paddingLeft: 5,
      paddingRight: 5,
      display: 'flex',
      flexDirection: 'row',
      alignItems: 'center',
      justifyContent: 'center',
      width: 240,
      borderRadius: 25,
    },
    smiletext: {
      color: '#fff',
      fontWeight: '700',
      marginLeft: 6,
    },
  });

  return (
    <SafeAreaView>
        <TouchableOpacity id="smilepay" onPress={() => callback()}>
        <LinearGradient
            colors={['#21B4A8', '#38CDC5']}
            style={styles.linearGradient}>
            <Image source={Icon} />
            <Text style={styles.smiletext}>{'Withdraw with Smile Coin'}</Text>
        </LinearGradient>
        </TouchableOpacity>
    </SafeAreaView>
   )
};
export default SmileSendButton;
